Subject: Re: Merge commit diff results are confusing and inconsistent

From: "Eckhard Maaß" <[email-masked]>
Date: Tue, 7 May 2019 17:55:05 +0200

On Tue, May 07, 2019 at 10:58:49AM -0400, Denton Liu wrote:
> For more details, this code[2] just blindly diffs the first two
> endpoints returned preceding `repo_init_revisions`.

If you throw in more than two endpoints, the result is a combined diff
with respect to the first commit. You can have some fun with that, eg
"git diff -c @ @~4 @^^2~4".

> Also, not to rehash an old discussion but I'll let this thread be my
> argument *against* allowing range-notation in git-diff.

Well, I think the most confusing part is to have this undocumented
around. The range notation are basically just the same symbols for
git-diff, but the meaning seems to be quite different. If this is going
to stay - shouldn't there be at least some documentation for people
trying such stuff out? And that we can point to? Or is there a reason to
keep this undocumented?

Greetings,
Eckhard